edu.ucsb.nceas.metacat.admin

## Class PropertiesAdmin

- java.lang.Object
- - edu.ucsb.nceas.metacat.admin.MetacatAdmin
  - - edu.ucsb.nceas.metacat.admin.PropertiesAdmin

-     public class PropertiesAdmin
      extends MetacatAdmin

  Control the display of the main properties configuration page and the processing of the configuration values.

- - ### Field Summary

    - ### Fields inherited from class edu.ucsb.nceas.metacat.admin.MetacatAdmin

      `FAILURE, IN_PROGRESS, SUCCESS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureProperties(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handle configuration of the main application properties
    `static PropertiesAdmin` | `getInstance()` Get the single instance of the MetaCatConfig.
    `protected java.util.Vector<java.lang.String>` | `validateOptions(javax.servlet.http.HttpServletRequest request)` Validate the most important configuration options submitted by the user.

    - ### Methods inherited from class edu.ucsb.nceas.metacat.admin.MetacatAdmin

      `updateUpgradeStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static PropertiesAdmin getInstance()

      Get the single instance of the MetaCatConfig.
      Returns:
        the single instance of MetaCatConfig

    - #### configureProperties

          public void configureProperties(javax.servlet.http.HttpServletRequest request,
                                          javax.servlet.http.HttpServletResponse response)
                                   throws AdminException

      Handle configuration of the main application properties
      Parameters:
        `request` - the http request object
        `response` - the http response to be sent back to the client
      Throws:
        `AdminException`

    - #### validateOptions

          protected java.util.Vector<java.lang.String> validateOptions(javax.servlet.http.HttpServletRequest request)

      Validate the most important configuration options submitted by the user.
      Specified by:
        `validateOptions` in class `MetacatAdmin`
      Parameters:
        `request` - the http request object
      Returns:
        a vector holding error message for any fields that fail validation.

Copyright © 2023 Regents of the University of California. All Rights Reserved.